%global modulename tar

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-tar
Version:        4.4.8
Release:        1%{?dist}
Summary:        tar for node

License:        ISC
URL:            https://github.com/npm/node-tar#readme
Source0:        https://registry.npmjs.org/tar/-/tar-4.4.8.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(chownr) >= 1.1.1 with npmlib(chownr) < 2.0.0))
BuildRequires:  ((npmlib(fs-minipass) >= 1.2.5 with npmlib(fs-minipass) < 2.0.0))
BuildRequires:  ((npmlib(minipass) >= 2.3.4 with npmlib(minipass) < 3.0.0))
BuildRequires:  ((npmlib(minizlib) >= 1.1.1 with npmlib(minizlib) < 2.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.0 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.1.2 with npmlib(safe-buffer) < 6.0.0))
BuildRequires:  ((npmlib(yallist) >= 3.0.2 with npmlib(yallist) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
tar for node

%package 4.4.8
Summary:        tar for node


%description 4.4.8
tar for node

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 4.4.8
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 4.4.8-1
- Package automatically generated by npm2srpm
